com.aliyun.player

## Interface AliPlayer

- All Known Subinterfaces:
    AliListPlayer

      public interface AliPlayer

  \addtogroup player_player

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AliPlayer.OnVerifyTimeExpireCallback` callback to verify if time is expired
    `static class` | `AliPlayer.Status`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invokeComponent(java.lang.String content)`
    `void` | `setDataSource(LiveSts liveSts)` set sts for live
    `void` | `setDataSource(VidAuth vidAuth)` Set a vidAuth source.
    `void` | `setDataSource(VidMps vidMps)` Set a vidMps source.
    `void` | `setDataSource(VidSts vidSts)` Set a vidSts source.
    `void` | `setOnVerifyTimeExpireCallback(AliPlayer.OnVerifyTimeExpireCallback l)` set the callback to verify if time is expired
    `void` | `updateStsInfo(StsInfo stsInfo)` update StsInfo
    `void` | `updateVidAuth(VidAuth vidAuth)` update VidAuth

- - ### Method Detail

    - #### setDataSource

          void setDataSource(VidSts vidSts)

      Set a vidSts source.
      Parameters:
        `vidSts` - The specified STS source. See `VidSts`.

    - #### setDataSource

          void setDataSource(VidAuth vidAuth)

      Set a vidAuth source.
      Parameters:
        `vidAuth` - The specified auth source. See `VidAuth`.

    - #### setDataSource

          void setDataSource(VidMps vidMps)

      Set a vidMps source.
      Parameters:
        `vidMps` - The specified MPS source. See `VidMps`.

    - #### setDataSource

          void setDataSource(LiveSts liveSts)

      set sts for live
      Parameters:
        `liveSts` -

    - #### setOnVerifyTimeExpireCallback

          void setOnVerifyTimeExpireCallback(AliPlayer.OnVerifyTimeExpireCallback l)

      set the callback to verify if time is expired
      Parameters:
        `l` -

    - #### updateStsInfo

          void updateStsInfo(StsInfo stsInfo)

      update StsInfo
      Parameters:
        `stsInfo` -

    - #### updateVidAuth

          void updateVidAuth(VidAuth vidAuth)

      update VidAuth
      Parameters:
        `vidAuth` -

    - #### invokeComponent

          void invokeComponent(java.lang.String content)